function x1=model(x,u,system)
x1=[system.a*x(1,:)+ system.b*x(3,:).*sin(x(4,:))+system.c*u(1,:);
    system.a*x(2,:)- system.b*x(3,:).*cos(x(4,:))+system.c*u(2,:);
    system.d*x(3,:)+ system.e*x(2,:).*cos(x(4,:))-system.e*x(1,:).*sin(x(4,:));
    x(4,:)+x(3,:)*system.deltat]+system.Q*rand(size(x));
end